<div class="modal fade" id="pop1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
         
<div class="popWrap assignmentPopup" id="createAssignmentPopUp">
    <div class="popCont">
      <div class="titleBar clearfix">
        <div class="pull-left">
          <h4>Create Assignment</h4>
          <p>Fill the details to create Assignment.</p>
        </div>
        <div class="pull-right">
          <div class="closeBtn" data-dismiss="modal"  data-toggle="modal"></div>
        </div>
      </div>
  
      <div class="textCont">
        <form #Quiz="ngForm">
        <div class="row">
          <div class="col-5 PR20" [class.has-error]="subjectName.touched && subjectName.invalid">
            <div class="dropDwonCont">
              <label for="subjectName">SUBJECT <span style="color:red">*</span></label>
              <div class="dropDown custmdropdwon">
                <select class="btn-custm" [(ngModel)]="assignmentObj.subjectName" name="subjectName" id="subjectName" #subjectName="ngModel"  required >
                  <option>Select Subject</option>
                  <option  *ngFor="let subject of assignmentPopUpDetails.subjectList ">{{subject.subjectName}}</option>
                </select>
              </div>
         
              <span  class="alert-msg"  style="color:red" *ngIf="subjectName.touched && subjectName.invalid">Please select Subject.</span>
       
            </div>
          </div>
         <!-- <div class="col-5 PL20" [class.has-error]="gradeName.touched && gradeName.invalid">
            <div class="dropDwonCont">
              <label for="gradeName">GRADE<span style="color:red">*</span></label>
              <div class="dropDown custmdropdwon">
                <select class="btn-custm" [(ngModel)]="assignmentObj.gradeName" name="gradeName" id="gradeName" #gradeName="ngModel"  required>
                  <option>Select Grade</option>
                  <option *ngFor="let grade of assignmentPopUpDetails.gradesList " >{{grade.gradingName}}</option>
  
                </select>
              </div>
              <span class="alert-msg"  style="color:red" *ngIf="gradeName.touched && gradeName.invalid">Please select Grade.</span>
            </div>
          </div>-->
          <div class="col-5 PL20" [class.has-error]="assignmentWeightList.touched && assignmentWeightList.invalid" >
            <div class="dropDwonCont">
              <label for="assignmentWeightList">ASSIGNMENT WEIGHTING<span style="color:red">*</span></label>
              <div class="dropDown custmdropdwon">
                <select class="btn-custm" [(ngModel)]="assignmentObj.assignmentWeightName" name="assignmentWeightList" id="assignmentWeightList" #assignmentWeightList="ngModel"  required>
                  <option>Select Weighting</option>
                  <option  *ngFor="let assignmentWeight of assignmentPopUpDetails.assignmentWeightList ">{{assignmentWeight.assignmentWeightName}}</option>
  
                </select>
              </div>
              <span  class="alert-msg"  style="color:red" *ngIf="assignmentWeightList.touched && assignmentWeightList.invalid">Please select Weightlist.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-5 PR20" [class.has-error]="assignmentTypeName.touched && assignmentTypeName.invalid">
            <div class="dropDwonCont">
              <label for="assignmentTypeName">CLASS<span style="color:red">*</span></label>
              <div class="dropDown custmdropdwon">
                <select class="btn-custm" [(ngModel)]="assignmentObj.className" name="assignmentTypeName" id="assignmentClassName" #assignmentTypeName="ngModel"  required>
  
                 <option>Select Class</option>
                  <option *ngFor="let assignmentClass of assignmentPopUpDetails.classDetails ">{{assignmentClass.className}}</option>
  
                </select>
              </div>
              <span class="alert-msg"  style="color:red" *ngIf="assignmentTypeName.touched && assignmentTypeName.invalid">Please select Type.</span>
            </div>
          </div>
          <div class="col-5 PL20" [class.has-error]="assignmentTypeName.touched && assignmentTypeName.invalid">
            <div class="dropDwonCont">
              <label for="assignmentTypeName">SEMESTER<span style="color:red">*</span></label>
              <div class="dropDown custmdropdwon">
                <select class="btn-custm" [(ngModel)]="assignmentObj.semisterName" name="assignmentTypeName" id="assignmentSemsetserName" #assignmentTypeName="ngModel"  required>
                  <option>Select Semester</option>
                  <option *ngFor="let sem of assignmentPopUpDetails.semesterDetails ">{{sem.semisterName}}</option>
  
                </select>
              </div>
              <span  class="alert-msg"  style="color:red" *ngIf="assignmentTypeName.touched && assignmentTypeName.invalid">Please select Type.</span>
            </div>
          </div>
        </div>
  
        <div class="row">
          <div class="col-5 PR20" [class.has-error]="assignmentTypeName.touched && assignmentTypeName.invalid">
            <div class="dropDwonCont">
              <label for="assignmentTypeName">ASSIGNMENT TYPE<span style="color:red">*</span></label>
              <div class="dropDown custmdropdwon">
                <select class="btn-custm" [(ngModel)]="assignmentObj.assignmentTypeName" name="assignmentTypeName" id="assignmentTypeName" #assignmentTypeName="ngModel"  required>
                  <option>Select Type</option>
                  <option *ngFor="let assignmentType of assignmentPopUpDetails.assignmentTypeList ">{{assignmentType.assignmentTypeName}}</option>
  
                </select>
              </div>
              <span  class="alert-msg"  style="color:red" *ngIf="assignmentTypeName.touched && assignmentTypeName.invalid">Please select Type.</span>
            </div>
          </div>
  
        </div>
  
          <div class="row">
            <div class="col-5" >
              <div class="checkBtn">
                <div class="sele">
                  <!-- <span class="checbBtn active" (click)="fnToggale('inClass')"></span>
                  <p>In class</p> -->
                  <label class="roundBtn">In class
                    <input type="radio" checked="checked"  name="radio">
                    <span class="checkmark"></span>
                </label>
                </div>
                <div class="sele">
                  <!-- <span class="checbBtn"  (click)="fnToggale('takeHome')"></span>
                  <p>Take Home</p> -->
                  <label class="roundBtn">Take Home
                    <input type="radio" checked="checked"  name="radio">
                    <span class="checkmark"></span>
                </label>
                </div>
              </div>
            </div>
          </div>
  
  
          <br>
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="assignmentName.touched && assignmentName.invalid">
              <label for="assignmentName">ASSIGNMENT NAME <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="assignmentObj.assignmentName" name="assignmentName" id="assignmentName" #assignmentName="ngModel"  required placeholder="e.g. Physics assignment"/>
              </div>
              <br>
              <span class="alert-msg"  style="color:red" *ngIf="assignmentName.touched && assignmentName.invalid">Please Enter Assignment Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-12">
            <button class="btn btn-create" data-dismiss="modal"  data-toggle="modal" [disabled]="!Quiz.form.valid"
            (click)="navigateToCreateAssignment()">next</button>
          </div>
        </div>
        </form>
      </div>
  
    </div>
  </div>
  
      </div>
    </div>
  </div>




